Index of Functions: A B C D E F G H I J K L M N O P Q R S T U V W X
Index Page gfsstp_c
Table of contents
Procedure Abstract Required_Reading Keywords Brief_I/O Detailed_Input | Detailed_Output Parameters Exceptions Files Particulars Examples | Restrictions Literature_References Author_and_Institution Version Index_Entries
#### Procedure
       gfsstp_c ( Geometry finder set step size )

       void gfsstp_c ( SpiceDouble  step )
#### Abstract
       Set the step size to be returned by gfstep_c.
#### Required_Reading
       GF
       TIME
#### Keywords
       GEOMETRY
       SEARCH
       UTILITY
#### Brief_I/O
       VARIABLE  I/O  DESCRIPTION
       --------  ---  --------------------------------------------------
       step       I   Time step to take.
#### Detailed_Input
       step        is the output step size to be returned by the next call
                   to gfstep_c. Units are TDB seconds.

                   `step' is used in the GF search root-bracketing process.
                   `step' indicates how far to advance the gfstep_c input
                   argument `time' so that `time' and time+step may bracket a
                   state transition and definitely do not bracket more than
                   one state transition.
#### Detailed_Output
       None.
#### Parameters
       None.
#### Exceptions
       1)  If the input step size is non-positive, the error
           SPICE(INVALIDSTEP) is signaled by a routine in the call tree
           of this routine. The stored step value is not updated.
#### Files
       None.
#### Particulars
       This routine sets the step size to be returned by the
       next call to gfstep_c.
#### Examples
       1) User applications can pass gfstep_c to mid-level GF API routines
          expecting a step size routine as an input argument. Before such
          a call is made, the value of the step to be returned by gfstep_c
          must be set via a call to this routine.

          For example, the GF API routine gfocce_c can be called as shown
          in the code fragment below.

                /.
                Select a twenty-second step. We'll ignore any occultations
                lasting less than 20 seconds.
                ./
                step = 20.0;
                gfsstp_c ( step );

                /.
                Perform the search.
                ./
                gfocce_c ( "ANY",
                           "MOON",     "ellipsoid",  "IAU_MOON",
                           "SUN",      "ellipsoid",  "IAU_SUN",
                           "LT",       "EARTH",      CNVTOL,
                           gfstep_c,   gfrefn_c,     rpt,
                           gfrepi_c,   gfrepu_c,     gfrepf_c,
                           bail,       gfbail_c,     cnfine,
                           &result                              );
#### Restrictions
       None.
#### Literature_References
       None.
#### Author_and_Institution
       N.J. Bachman        (JPL)
       J. Diaz del Rio     (ODC Space)
       L.S. Elson          (JPL)
#### Version
       -CSPICE Version 1.0.1, 06-AUG-2021 (JDR)

           Edited the header to comply with NAIF standard.

       -CSPICE Version 1.0.0, 15-APR-2009 (LSE) (NJB)
#### Index_Entries
       GF set constant step size
#### Link to routine gfsstp_c source file gfsstp_c.c

    Fri Dec 31 18:41:07 2021